#!/bin/sh
# Set the long-keypress behavior to either:
#  false=mapping the press to the blue symbol
#  true=traditional key repeat
# Use within DCEW with arg 'toggle'
onoff=$1;
if [ "X$onoff" == "Xtoggle" ]; then
  onoff=`gconftool --get /apps/osso/inputmethod/ext_kb_repeat_enabled`
  if [ "$onoff" == "true" ]; then onoff=false; else onoff=true; fi
fi
gconftool --set /apps/osso/inputmethod/ext_kb_repeat_enabled --type bool "$onoff"
echo "kbd rpt: $onoff"

